# tomcat5 service configuration file

# you could also override JAVA_HOME here
# Where your java installation lives
JAVA_HOME="@@@JAVAHOME@@@"

# Where your tomcat installation lives
# That change from previous RPM where TOMCAT_HOME 
# used to be /var/tomcat.
# Now /var/tomcat will be the base for webapps only
CATALINA_HOME="@@@TCHOME@@@"
JASPER_HOME="@@@TCHOME@@@"
CATALINA_TMPDIR="@@@TCHOME@@@/temp"
JAVA_ENDORSED_DIRS="@@@TCHOME@@@/common/endorsed"

# You can pass some parameters to java
# here if you wish to
#JAVA_OPTS="-Xminf0.1 -Xmaxf0.3"

# Use JAVA_OPTS to set java.library.path for libtcnative.so
#JAVA_OPTS="-Djava.library.path=@@@LIBDIR@@@"

# Bug 190:
# https://www.jpackage.org/bugzilla/show_bug.cgi?id=190 
# System property catalina.ext.dirs should be set to its default value
# for ExtensionValidator to be functional. 
JAVA_OPTS="$JAVA_OPTS -Dcatalina.ext.dirs=$CATALINA_HOME/shared/lib:$CATALINA_HOME/common/lib"

# What user should run tomcat
TOMCAT_USER="tomcat"

# You can change your tomcat locale here
#LANG=en_US

# Time to wait in seconds, before killing process
SHUTDOWN_WAIT=30

# Set the TOMCAT_PID location
CATALINA_PID=/var/run/tomcat5.pid

# Connector port is 8080 for this tomcat5 instance
#CONNECTOR_PORT=8080

# Change to yes if you want the tomcat init script to run the relink script
RELINK="no"

# If you wish to further customize your tomcat environment,
# put your own definitions here
# (i.e. LD_LIBRARY_PATH for some jdbc drivers)
# Just do not forget to export them :)

